gavl

- Main Page
- Modules
- Data Structures
- Files

Macros
Audio conversion flags
Audio » Audio conversion options

## Macros
#define | GAVL_AUDIO_FRONT_TO_REAR_COPY (1<<0)
#define | GAVL_AUDIO_FRONT_TO_REAR_MUTE (1<<1)
#define | GAVL_AUDIO_FRONT_TO_REAR_DIFF (1<<2)
#define | GAVL_AUDIO_FRONT_TO_REAR_MASK
#define | GAVL_AUDIO_STEREO_TO_MONO_LEFT (1<<3)
#define | GAVL_AUDIO_STEREO_TO_MONO_RIGHT (1<<4)
#define | GAVL_AUDIO_STEREO_TO_MONO_MIX (1<<5)
#define | GAVL_AUDIO_STEREO_TO_MONO_MASK
#define | GAVL_AUDIO_NORMALIZE_MIX_MATRIX (1<<6)

## Detailed Description

Flags for passing to gavl_audio_options_set_conversion_flags

## Macro Definition Documentation

#define GAVL_AUDIO_FRONT_TO_REAR_COPY (1<<0)

When mixing front to rear, just copy the front channels

#define GAVL_AUDIO_FRONT_TO_REAR_MUTE (1<<1)

When mixing front to rear, mute the rear channels

#define GAVL_AUDIO_FRONT_TO_REAR_DIFF (1<<2)

When mixing front to rear, send the difference between front to rear

#define GAVL_AUDIO_FRONT_TO_REAR_MASK

Value:
(GAVL_AUDIO_FRONT_TO_REAR_COPY | \
GAVL_AUDIO_FRONT_TO_REAR_MUTE | \
GAVL_AUDIO_FRONT_TO_REAR_DIFF)
GAVL_AUDIO_FRONT_TO_REAR_COPY
#define GAVL_AUDIO_FRONT_TO_REAR_COPY
Definition: gavl.h:733
GAVL_AUDIO_FRONT_TO_REAR_MUTE
#define GAVL_AUDIO_FRONT_TO_REAR_MUTE
Definition: gavl.h:738
GAVL_AUDIO_FRONT_TO_REAR_DIFF
#define GAVL_AUDIO_FRONT_TO_REAR_DIFF
Definition: gavl.h:743

Mask for front to rear mode

#define GAVL_AUDIO_STEREO_TO_MONO_LEFT (1<<3)

When converting from stereo to mono, choose left channel

#define GAVL_AUDIO_STEREO_TO_MONO_RIGHT (1<<4)

When converting from stereo to mono, choose right channel

#define GAVL_AUDIO_STEREO_TO_MONO_MIX (1<<5)

When converting from stereo to mono, mix left and right

#define GAVL_AUDIO_STEREO_TO_MONO_MASK

Value:
(GAVL_AUDIO_STEREO_TO_MONO_LEFT | \
GAVL_AUDIO_STEREO_TO_MONO_RIGHT | \
GAVL_AUDIO_STEREO_TO_MONO_MIX)
GAVL_AUDIO_STEREO_TO_MONO_MIX
#define GAVL_AUDIO_STEREO_TO_MONO_MIX
Definition: gavl.h:763
GAVL_AUDIO_STEREO_TO_MONO_LEFT
#define GAVL_AUDIO_STEREO_TO_MONO_LEFT
Definition: gavl.h:757
GAVL_AUDIO_STEREO_TO_MONO_RIGHT
#define GAVL_AUDIO_STEREO_TO_MONO_RIGHT
Definition: gavl.h:760

Mask for converting stereo to mono

#define GAVL_AUDIO_NORMALIZE_MIX_MATRIX (1<<6)

Normalize the user defined mix matrix (since 1.1.2)